umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
JavaANTCodeDocument Class Reference

`#include <javaantcodedocument.h>`

Inheritance diagram for JavaANTCodeDocument:

## Public Member Functions
| JavaANTCodeDocument ()
virtual | ~JavaANTCodeDocument ()
QString | getPath () const
void | updateContent ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual HierarchicalCodeBlock * | newHierarchicalCodeBlock ()
Public Member Functions inherited from CodeDocument
| CodeDocument ()
virtual | ~CodeDocument ()
void | setFileExtension (const QString &new_var)
QString | getFileExtension () const
void | setFileName (const QString &new_var)
QString | getFileName () const
void | setPackage (UMLPackage *new_var)
QString | getPackage () const
void | setID (const QString &new_id)
QString | ID () const
void | setWriteOutCode (bool new_var)
bool | getWriteOutCode () const
void | setHeader (CodeComment *comment)
CodeComment * | getHeader () const
bool | insertTextBlock (TextBlock *newBlock, TextBlock *existingBlock, bool after=true)
TextBlock * | findTextBlockByTag (const QString &tag, bool descendIntoChildren=false) const
virtual QString | toString () const
virtual CodeBlock * | newCodeBlock ()
virtual CodeBlockWithComments * | newCodeBlockWithComments ()
virtual QString | getUniqueTag (const QString &prefix=QString())
QString | cleanName (const QString &name)
virtual void | synchronize ()
Public Member Functions inherited from CodeGenObjectWithTextBlocks
| CodeGenObjectWithTextBlocks (CodeDocument *parent)
virtual | ~CodeGenObjectWithTextBlocks ()
virtual bool | addTextBlock (TextBlock *add_object)
virtual bool | removeTextBlock (TextBlock *remove_object)
TextBlockList * | getTextBlockList () const
virtual HierarchicalCodeBlock * | getHierarchicalCodeBlock (const QString &tag, const QString &comment, int indentLevel)
virtual CodeBlockWithComments * | getCodeBlockWithComments (const QString &tag, const QString &comment, int indentLevel)
CodeComment * | addOrUpdateTaggedCodeComment (const QString &tag=QString(), const QString &text=QString(), int indentationLevel=0)
CodeBlockWithComments * | addOrUpdateTaggedCodeBlockWithComments (const QString &tag, const QString &text, const QString &ctext, int indentLevel, bool forceUserBlockUpdate)
TextBlock * | findTextBlockByTag (const QString &tag)
CodeGenObjectWithTextBlocks * | findParentObjectForTaggedTextBlock (const QString &tag)

## Protected Member Functions
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
virtual void | loadChildTextBlocksFromNode (QDomElement &root)
Protected Member Functions inherited from CodeDocument
void | addChildTagToMap (const QString &tag, TextBlock *tb)
void | removeChildTagFromMap (const QString &tag)
void | updateHeader ()
void | resetTextBlocks ()
virtual TextBlock * | findCodeClassFieldTextBlockByTag (const QString &tag)
Protected Member Functions inherited from CodeGenObjectWithTextBlocks
void | setAttributesFromObject (CodeGenObjectWithTextBlocks *obj)

## Additional Inherited Members
Protected Attributes inherited from CodeGenObjectWithTextBlocks
QMap< QString, TextBlock * > | m_textBlockTagMap
TextBlockList | m_textblockVector

## Detailed Description

class JavaANTCodeDocument Represents

## Constructor & Destructor Documentation

## ◆ JavaANTCodeDocument()

JavaANTCodeDocument::JavaANTCodeDocument | ( |  | ) |

Constructor

## ◆ ~JavaANTCodeDocument()

JavaANTCodeDocument::~JavaANTCodeDocument | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ getPath()

QString JavaANTCodeDocument::getPath | ( |  | ) | const
| virtual

Get the value of the path to this code document.

Returns
  the value of m_pathName

Reimplemented from CodeDocument.

## ◆ loadChildTextBlocksFromNode()

void JavaANTCodeDocument::loadChildTextBlocksFromNode | ( | QDomElement & | root | ) |
| protected virtual

Need to overwrite this for java since we need to pick up the xml declaration blocks.

Reimplemented from CodeGenObjectWithTextBlocks.

## ◆ loadFromXMI()

void JavaANTCodeDocument::loadFromXMI | ( | QDomElement & | root | ) |
| virtual

Load params from the appropriate XMI element node.

load params from the appropriate XMI element node.

Reimplemented from CodeDocument.

## ◆ newHierarchicalCodeBlock()

HierarchicalCodeBlock * JavaANTCodeDocument::newHierarchicalCodeBlock | ( |  | ) |
| virtual

Create a new HierarchicalCodeBlock object belonging to this CodeDocument.

Returns
  HierarchicalCodeBlock

Reimplemented from CodeDocument.

## ◆ saveToXMI()

void JavaANTCodeDocument::saveToXMI | ( | QXmlStreamWriter & | writer | ) |
| virtual

Save the XMI representation of this object.

Save the XMI representation of this object

Reimplemented from CodeDocument.

## ◆ setAttributesFromNode()

void JavaANTCodeDocument::setAttributesFromNode | ( | QDomElement & | root | ) |
| protected virtual

Set the class attributes of this object from the passed element node.

set the class attributes of this object from the passed element node.

Reimplemented from CodeDocument.

## ◆ setAttributesOnNode()

void JavaANTCodeDocument::setAttributesOnNode | ( | QXmlStreamWriter & | writer | ) |
| protected virtual

Set attributes of the node that represents this class in the XMI document.

set attributes of the node that represents this class in the XMI document.

Reimplemented from CodeDocument.

## ◆ updateContent()

void JavaANTCodeDocument::updateContent | ( |  | ) |
| virtual

Update the content of this code document. This is where you should lay out your code document structure of textblocks in the inheriting class, should it have any text in it. Vanilla code documents don't have much to do.. override this with a different version for your own documents.

Reimplemented from CodeDocument.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/java/javaantcodedocument.h
- umbrello/codegenerators/java/javaantcodedocument.cpp